Package com.enonic.xp.data

## Class Value

- java.lang.Object
- - com.enonic.xp.data.Value

-     @PublicApi
      public abstract class Value
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Value​(Value value)` |
    `protected` | `Value​(ValueType type, Object value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BinaryReference` | `asBinaryReference()` |
    `Boolean` | `asBoolean()` |
    `PropertySet` | `asData()` |
    `Double` | `asDouble()` |
    `GeoPoint` | `asGeoPoint()` |
    `Instant` | `asInstant()` |
    `Link` | `asLink()` |
    `LocalDate` | `asLocalDate()` |
    `LocalDateTime` | `asLocalDateTime()` |
    `LocalTime` | `asLocalTime()` |
    `Long` | `asLong()` |
    `Reference` | `asReference()` |
    `String` | `asString()` |
    `boolean` | `equals​(Object o)` |
    `Object` | `getObject()` |
    `ValueType` | `getType()` |
    `int` | `hashCode()` |
    `boolean` | `isBoolean()` |
    `boolean` | `isDateType()` |
    `boolean` | `isGeoPoint()` |
    `boolean` | `isJavaType​(Class javaType)` |
    `boolean` | `isNull()` |
    `boolean` | `isNumericType()` |
    `boolean` | `isPropertySet()` |
    `boolean` | `isSet()` |
    `boolean` | `isString()` |
    `boolean` | `isText()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Value

          protected Value​(ValueType type,
                          Object value)

    - #### Value

          protected Value​(Value value)

  - ### Method Detail

    - #### isSet

          public boolean isSet()

    - #### isString

          public boolean isString()

    - #### isDateType

          public boolean isDateType()

    - #### isNumericType

          public boolean isNumericType()

    - #### isGeoPoint

          public boolean isGeoPoint()

    - #### isText

          public boolean isText()

    - #### isBoolean

          public boolean isBoolean()

    - #### isJavaType

          public boolean isJavaType​(Class javaType)

    - #### getType

          public ValueType getType()

    - #### getObject

          public Object getObject()

    - #### asData

          public PropertySet asData()

    - #### asString

          public String asString()

    - #### asLong

          public Long asLong()

    - #### asBoolean

          public Boolean asBoolean()

    - #### asDouble

          public Double asDouble()

    - #### asLocalDate

          public LocalDate asLocalDate()

    - #### asLocalTime

          public LocalTime asLocalTime()

    - #### asLocalDateTime

          public LocalDateTime asLocalDateTime()

    - #### asInstant

          public Instant asInstant()

    - #### asGeoPoint

          public GeoPoint asGeoPoint()

    - #### asReference

          public Reference asReference()

    - #### asBinaryReference

          public BinaryReference asBinaryReference()

    - #### asLink

          public Link asLink()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isNull

          public boolean isNull()

    - #### isPropertySet

          public boolean isPropertySet()